package dev.kske.chess.event;

import dev.kske.chess.game.Game;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>GameStartEvent.java</strong><br>
 * Created: <strong>30 Oct 2019</strong><br>
 * 
 * @since Chess v0.5-alpha
 * @author Kai S. K. Engelbart
 */
public class GameStartEvent implements Event<Game> {

	private final Game game;

	public GameStartEvent(Game source) { game = source; }

	@Override
	public Game getData() { return game; }
}
